> # NAME

> cgCreateContext - create a context

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGcontext cgCreateContext( void );

> # PARAMETERS

> None.

> # RETURN VALUES

> Returns a valid CGcontext on success.

> Returns NULL if context creation fails.

> # DESCRIPTION

> cgCreateContext creates a Cg context object and returns its handle. A Cg context is a container for Cg programs. All Cg programs must be added to a Cg context.

> # EXAMPLES

>       CGcontext context = cgCreateContext();

> # ERRORS

> CG_MEMORY_ALLOC_ERROR is generated if a context couldn't be created.

> # HISTORY

> cgCreateContext was introduced in Cg 1.1.

> # SEE ALSO

> cgDestroyContext, cgSetContextBehavior, cgGetContextBehavior, cgCreateProgram, cgCreateEffect, cgCreateState